PipeWire: pw_client_node_methods Struct Reference

PipeWire 1.0.3

Loading...
Searching...
No Matches
Data Fields
pw_client_node_methods Struct Reference
Extensions » Client Node

Client Node methods More...

`#include <pipewire/extensions/client-node.h>`

## Data Fields
uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_client_node_events *events, void *data)
struct pw_node *(* | get_node )(void *object, uint32_t version, size_t user_data_size)
| get the node object
int(* | update )(void *object, #define PW_CLIENT_NODE_UPDATE_PARAMS #define PW_CLIENT_NODE_UPDATE_INFO uint32_t change_mask, uint32_t n_params, const struct spa_pod **params, const struct spa_node_info *info)
| Update the node ports and properties.
int(* | port_update )(void *object, enum spa_direction direction, uint32_t port_id, #define PW_CLIENT_NODE_PORT_UPDATE_PARAMS #define PW_CLIENT_NODE_PORT_UPDATE_INFO uint32_t change_mask, uint32_t n_params, const struct spa_pod **params, const struct spa_port_info *info)
| Update a node port.
int(* | set_active )(void *object, bool active)
| Activate or deactivate the node.
int(* | event )(void *object, const struct spa_event *event)
| Send an event to the node.
int(* | port_buffers )(void *object, enum spa_direction direction, uint32_t port_id, uint32_t mix_id, uint32_t n_buffers, struct spa_buffer **buffers)
| Send allocated buffers.

## Detailed Description

Client Node methods

## Field Documentation

## ◆ version

uint32_t pw_client_node_methods::version

## ◆ add_listener

int(* pw_client_node_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_client_node_events *events, void *data)

## ◆ get_node

struct pw_node *(* pw_client_node_methods::get_node) (void *object, uint32_t version, size_t user_data_size)

get the node object

## ◆ set_active

int(* pw_client_node_methods::set_active) (void *object, bool active)

Activate or deactivate the node.

## ◆ event

int(* pw_client_node_methods::event) (void *object, const struct spa_event *event)

Send an event to the node.

Parameters

  event | the event to send

## ◆ port_buffers

int(* pw_client_node_methods::port_buffers) (void *object, enum spa_direction direction, uint32_t port_id, uint32_t mix_id, uint32_t n_buffers, struct spa_buffer **buffers)

Send allocated buffers.

The documentation for this struct was generated from the following file:

- pipewire/extensions/client-node.h